Bug 1259140 - [RHEL.7.2] Guest core dumped when i test transparent hugepages relocated
[RHEL.7.2] Guest core dumped when i test transparent hugepages relocated
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Andrea Arcangeli
Yumei Huang
:
Depends On:
Blocks: 1401400
  Show dependency treegraph
 
Reported: 2015-09-02 01:10 EDT by Yang Meng
Modified: 2018-05-08 12:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full backtrace (5.14 KB, text/plain)
2015-09-02 01:10 EDT, Yang Meng
no flags Details
breakthp.c (2.01 KB, text/plain)
2015-09-08 01:34 EDT, Yang Meng
no flags Details

  None (edit)
Description Yang Meng 2015-09-02 01:10:59 EDT
Created attachment 1069266 [details]
full backtrace

Description of problem:

guest coredumped when i run autotest case trans_hugepages.relocated

gdb simple info:


(gdb) bt
#0  0x00007f0c6b3d65f7 in raise () from /lib64/libc.so.6
#1  0x00007f0c6b3d7ce8 in abort () from /lib64/libc.so.6
#2  0x00007f0c72feb9da in error_propagate (dst_errp=<optimized out>, local_err=<optimized out>) at util/error.c:173
#3  0x00007f0c72d80108 in qemu_ram_alloc_internal (size=size@entry=17179869184, max_size=max_size@entry=17179869184, resized=resized@entry=0x0, 
    host=host@entry=0x0, resizeable=resizeable@entry=false, mr=mr@entry=0x7f0c75827400, errp=errp@entry=0x7f0c738b4dd0 <error_abort>)
    at /usr/src/debug/qemu-2.3.0/exec.c:1541
#4  0x00007f0c72d80a8a in qemu_ram_alloc (size=size@entry=17179869184, mr=mr@entry=0x7f0c75827400, errp=errp@entry=0x7f0c738b4dd0 <error_abort>)
    at /usr/src/debug/qemu-2.3.0/exec.c:1555
#5  0x00007f0c72db5c89 in memory_region_init_ram (mr=mr@entry=0x7f0c75827400, owner=owner@entry=0x0, name=name@entry=0x7f0c73003884 "pc.ram", 
    size=size@entry=17179869184, errp=0x7f0c738b4dd0 <error_abort>) at /usr/src/debug/qemu-2.3.0/memory.c:1204
#6  0x00007f0c72daed4a in allocate_system_memory_nonnuma (ram_size=17179869184, name=0x7f0c73003884 "pc.ram", owner=0x0, mr=0x7f0c75827400)
    at /usr/src/debug/qemu-2.3.0/numa.c:435
#7  memory_region_allocate_system_memory (mr=mr@entry=0x7f0c75827400, owner=owner@entry=0x0, name=name@entry=0x7f0c73003884 "pc.ram", 
    ram_size=17179869184) at /usr/src/debug/qemu-2.3.0/numa.c:448
#8  0x00007f0c72def1c4 in pc_memory_init (machine=machine@entry=0x7f0c757afa00, system_memory=system_memory@entry=0x7f0c75826700, 
    below_4g_mem_size=3221225472, above_4g_mem_size=13958643712, rom_memory=rom_memory@entry=0x7f0c75827300, 
    ram_memory=ram_memory@entry=0x7ffc5323f500, guest_info=guest_info@entry=0x7f0c757b6780) at /usr/src/debug/qemu-2.3.0/hw/i386/pc.c:1330
#9  0x00007f0c72df0c63 in pc_init1 (machine=0x7f0c757afa00, kvmclock_enabled=1, pci_enabled=1) at /usr/src/debug/qemu-2.3.0/hw/i386/pc_piix.c:182
#10 0x00007f0c72d7874e in main (argc=<optimized out>, argv=<optimized out>, envp=<optimized out>) at vl.c:4257


Version-Release number of selected component (if applicable):

host info: RHEL.7.2
qemu version:qemu-kvm-rhev-2.3.0-21.el7.x86_64
kernel version: kernel-3.10.0-310.el7.x86_64

guest info: RHEL.6.7.i386
kernel: kernel-2.6.32-572.el6.i686

How reproducible:



Steps to Reproduce:
run  the autotest case trans_hugepages.relocated

Actual results:

no error no crash

Expected results:

guest coredumped


Additional info:

hostinfo:

1)cpu

processor	: 15
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 9
model name	: AMD Opteron(tm) Processor 6128
stepping	: 1
microcode	: 0x10000d9
cpu MHz		: 2000.190
cache size	: 512 KB
physical id	: 1
siblings	: 8
core id		: 3
cpu cores	: 8
apicid		: 39
initial apicid	: 23
fpu		: yes
fpu_exception	: yes
cpuid level	: 5
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid amd_dcm pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit wdt nodeid_msr hw_pstate npt lbrv svm_lock nrip_save pausefilter

2)corefile :

3)gdb full backtrace is attached
Comment 4 Yang Meng 2015-09-08 01:34:00 EDT
Created attachment 1071194 [details]
breakthp.c

Note You need to log in before you can comment on or make changes to this bug.